Account Delegation Processes
Rolodex (Contacts & Organizations) (v1-2025-04-18)
The Contacts & Organizations, or Rolodex, app provides the Customer Relationship Management (CRM) capabilities of the Rhythm platform. Common integrations with the Rolodex API include finding or updating contact information, demographics, or communication preferences for a Contact or Organization.
Like most of the other Rhythm apps, the Rolodex API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}
- https://rolodex.api.rhythmsoftware.com/regionConfigurations/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'"string"
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}
- https://rolodex.api.rhythmsoftware.com/regionConfigurations/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}?fields=string&consistentRead=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The region configuration was retrieved successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
{ "default_region_id": "string", "name": "string", "notes": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "zones": [ { … } ] }
Request
This method will patch an existing region configuration with the specified ID, using the HTTP PATCH specification.
The patch directives conforming to RFC 6902.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}
- https://rolodex.api.rhythmsoftware.com/regionConfigurations/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The region configuration was patched successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
{ "default_region_id": "string", "name": "string", "notes": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "zones": [ { … } ] }
Request
This method will auto-generate an ID and create a new region configuration. If an ID is specified for the region configuration, an error will be thrown.
The region configuration that you would like to be saved.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}
- https://rolodex.api.rhythmsoftware.com/regionConfigurations/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"default_region_id": "string",
"name": "string",
"notes": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_locked": true,
"sys_version": 0.1,
"zones": [
{
"countries": [
{
"country": "string"
}
],
"enabled": true,
"id": "string",
"name": "string",
"postal_code_ranges": [
{
"end": "string",
"start": "string"
}
],
"region_id": "string",
"states": [
{
"state": "string"
}
],
"type": "country"
}
]
}'The region configuration was saved successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
{ "default_region_id": "string", "name": "string", "notes": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "zones": [ { … } ] }
The updated region configuration that will be saved.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}
- https://rolodex.api.rhythmsoftware.com/regionConfigurations/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/regionConfigurations/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"default_region_id": "string",
"name": "string",
"notes": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_locked": true,
"sys_version": 0.1,
"zones": [
{
"countries": [
{
"country": "string"
}
],
"enabled": true,
"id": "string",
"name": "string",
"postal_code_ranges": [
{
"end": "string",
"start": "string"
}
],
"region_id": "string",
"states": [
{
"state": "string"
}
],
"type": "country"
}
]
}'The region configuration was updated successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
A number representing the version of this record in the database
{ "default_region_id": "string", "name": "string", "notes": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "zones": [ { … } ] }